Package org.eclipse.emf.cdo.server.db

## Interface IIDHandler

- All Superinterfaces:
    `java.util.Comparator<CDOID>`

      public interface IIDHandler
      extends java.util.Comparator<CDOID>

  Abstracts the handling of `IDs` of different `ID types`.
  Since:
    4.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `adjustLastObjectID​(CDOID maxID)` |
    `void` | `appendCDOID​(java.lang.StringBuilder builder, CDOID id)` |
    `CDOID` | `createCDOID​(java.lang.String val)` |
    `CDOID` | `getCDOID​(java.sql.ResultSet resultSet, int column)` |
    `CDOID` | `getCDOID​(java.sql.ResultSet resultSet, java.lang.String name)` |
    `org.eclipse.net4j.db.DBType` | `getDBType()` |
    `CDOID` | `getLastObjectID()` |
    `CDOID` | `getMaxCDOID()` |
    `CDOID` | `getMinCDOID()` |
    `CDOID` | `getNextCDOID​(CDORevision revision)` |
    `CDOID` | `getNextLocalObjectID()` |
    `java.util.Set<CDOID.ObjectType>` | `getObjectIDTypes()` |
    `ITypeMapping` | `getObjectTypeMapping()` |
    `IDBStore` | `getStore()` |
    `boolean` | `isLocalCDOID​(CDOID id)` | Deprecated. Not used anymore.
    `CDOID` | `mapURI​(IDBStoreAccessor accessor, java.lang.String uri, long commitTime)` |
    `void` | `rawExport​(java.sql.Connection connection, CDODataOutput out, long fromCommitTime, long toCommitTime)` |
    `void` | `rawImport​(java.sql.Connection connection, CDODataInput in, long fromCommitTime, long toCommitTime, org.eclipse.net4j.util.om.monitor.OMMonitor fork)` |
    `void` | `setCDOID​(java.sql.PreparedStatement stmt, int column, CDOID id)` |
    `void` | `setCDOID​(java.sql.PreparedStatement stmt, int column, CDOID id, long commitTime)` |
    `void` | `setCDOIDRaw​(java.sql.PreparedStatement stmt, int column, java.lang.Object id)` |
    `void` | `setLastObjectID​(CDOID lastObjectID)` |
    `void` | `setNextLocalObjectID​(CDOID nextLocalObjectID)` |
    `java.lang.String` | `unmapURI​(IDBStoreAccessor accessor, CDOID id)` |

    - ### Methods inherited from interface java.util.Comparator

      `compare, equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Method Detail

    - #### getStore

          IDBStore getStore()

    - #### getDBType

          org.eclipse.net4j.db.DBType getDBType()

    - #### getObjectIDTypes

          java.util.Set<CDOID.ObjectType> getObjectIDTypes()

    - #### getObjectTypeMapping

          ITypeMapping getObjectTypeMapping()

    - #### createCDOID

          CDOID createCDOID​(java.lang.String val)

    - #### isLocalCDOID

          @Deprecated
          boolean isLocalCDOID​(CDOID id)

      Deprecated.
      Not used anymore.

    - #### getLastObjectID

          CDOID getLastObjectID()

    - #### setLastObjectID

          void setLastObjectID​(CDOID lastObjectID)

    - #### adjustLastObjectID

          void adjustLastObjectID​(CDOID maxID)

      Since:
        4.1

    - #### getNextLocalObjectID

          CDOID getNextLocalObjectID()

    - #### setNextLocalObjectID

          void setNextLocalObjectID​(CDOID nextLocalObjectID)

    - #### getNextCDOID

          CDOID getNextCDOID​(CDORevision revision)

    - #### appendCDOID

          void appendCDOID​(java.lang.StringBuilder builder,
                           CDOID id)

    - #### setCDOIDRaw

          void setCDOIDRaw​(java.sql.PreparedStatement stmt,
                           int column,
                           java.lang.Object id)
                    throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`
      Since:
        4.1

    - #### setCDOID

          void setCDOID​(java.sql.PreparedStatement stmt,
                        int column,
                        CDOID id)
                 throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### setCDOID

          void setCDOID​(java.sql.PreparedStatement stmt,
                        int column,
                        CDOID id,
                        long commitTime)
                 throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getCDOID

          CDOID getCDOID​(java.sql.ResultSet resultSet,
                         int column)
                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getCDOID

          CDOID getCDOID​(java.sql.ResultSet resultSet,
                         java.lang.String name)
                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getMinCDOID

          CDOID getMinCDOID()

    - #### getMaxCDOID

          CDOID getMaxCDOID()

    - #### mapURI

          CDOID mapURI​(IDBStoreAccessor accessor,
                       java.lang.String uri,
                       long commitTime)

    - #### unmapURI

          java.lang.String unmapURI​(IDBStoreAccessor accessor,
                                    CDOID id)

    - #### rawExport

          void rawExport​(java.sql.Connection connection,
                         CDODataOutput out,
                         long fromCommitTime,
                         long toCommitTime)
                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### rawImport

          void rawImport​(java.sql.Connection connection,
                         CDODataInput in,
                         long fromCommitTime,
                         long toCommitTime,
                         org.eclipse.net4j.util.om.monitor.OMMonitor fork)
                  throws java.io.IOException

      Throws:
        `java.io.IOException`